<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body no-padding-left no-padding-right">
                                <input #searchField [(ngModel)]="searchBy" [debounce]="300" (onDebounce)="search()"
                                       class="form-control "
                                       placeholder="Pesquisar por nome ou CNPJ"/>
                            </div>
                            <data-table #dataTableComponent
                                        [selectable]="true"
                                        [total]="data.count"
                                        [data]="data.results"
                                        [paginated]="true"
                                        keyEvents="true"
                                        (onPaginate)="onPaginate($event)">
                                <column header="Nome" field="name"></column>
                                <column header="CNPJ" field="cnpj"></column>
                                <column useTemplate="true">
                                    <ng-template let-customer="data">
                                        <div class="btn-group btn-table-group">
                                            <button (click)="viewCustomerFiles(customer.id)"
                                                    class="btn btn-sm btn-cyan btn-rounded">
                                                <i class="fa fa-archive"></i> Arquivos
                                            </button>

                                            <button (click)="editCustomer(customer.id)"
                                                    class="btn btn-sm btn-dark-info btn-rounded">
                                                <i class="fa fa-edit"></i> Editar
                                            </button>
                                            <button (click)="deleteCustomer(customer.id)"
                                                    class="btn btn-sm btn-dark-danger btn-rounded">
                                                <i class="fa fa-trash"></i> Excluir
                                            </button>
                                        </div>
                                    </ng-template>
                                </column>
                                <buttons-right>
                                    <div class="row">
                                        <div class="col-6 offset-6">
                                            <button (click)="newCustomer()" class="btn btn-block btn-primary">
                                                <i class="fa fa-plus"></i>
                                                Novo Cliente
                                            </button>
                                        </div>
                                    </div>
                                </buttons-right>
                            </data-table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
